"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createNodeObject = void 0;

var _mimeTypes = _interopRequireDefault(require("mime-types"));

var _strings = require("../constants/strings");

var _data = require("../utils/data");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
Copyright 2019 Province of British Columbia

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at 

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Created by Patrick Simonian
*/
const createNodeObject = (createNodeId, file, metadata) => {
  const id = createNodeId((0, _data.hashString)(JSON.stringify(file)));
  return { ...file,
    ___boundProperties: metadata,
    internal: {
      mediaType: _mimeTypes.default.lookup(file.name) || 'text/plain',
      contentDigest: (0, _data.hashString)(JSON.stringify(file.content)),
      type: _strings.NODE_TYPE,
      content: file.content
    },
    id,
    children: [],
    parent: null
  };
};

exports.createNodeObject = createNodeObject;